Bug 675892 - Die, hyphenspace, die!
Summary: Die, hyphenspace, die!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-08 07:18 UTC by Christopher Aillon
Modified: 2013-01-10 06:26 UTC (History)
2 users (show)

Fixed In Version: fedora-packager-0.5.5.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-22 18:50:10 UTC


Attachments (Terms of Use)
Something like this (892 bytes, patch)
2011-02-08 07:18 UTC, Christopher Aillon
no flags Details | Diff

Description Christopher Aillon 2011-02-08 07:18:57 UTC
Created attachment 477560 [details]
Something like this

ugh, there's too many git commit messages starting with "- " because that's what rpm changelogs expect and fedpkg clog just outputs that.  There's no real need for hyphenspace to be the first two characters of the git commit message, though.

I don't really care what happens with the other hyphenspaces, probably best to leave them I guess...

Here's a patch.

Comment 1 Jesse Keating 2011-02-08 18:25:12 UTC
Heh, this has been on my list to kill for a while, and I keep forgetting about it.  Thanks for the patch.

Comment 2 Christopher Aillon 2011-02-08 18:47:44 UTC
Oh, and I just noticed I attached a patch with re.  it's probably better to just do 
  line2 = line2[2:]

or similar

Comment 3 Jesse Keating 2011-02-08 21:57:38 UTC
Patched it slightly differently, will be in next build.

Comment 4 Fedora Update System 2011-02-10 21:40:51 UTC
fedora-packager-0.5.5.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc14

Comment 5 Fedora Update System 2011-02-10 22:03:22 UTC
fedora-packager-0.5.5.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc13

Comment 6 Fedora Update System 2011-02-10 22:22:34 UTC
fedora-packager-0.5.5.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el5

Comment 7 Fedora Update System 2011-02-10 22:40:38 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 8 Fedora Update System 2011-02-10 22:44:23 UTC
fedora-packager-0.5.5.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 9 Fedora Update System 2011-02-10 23:12:34 UTC
fedora-packager-0.5.5.0-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 10 Fedora Update System 2011-02-12 21:33:57 UTC
fedora-packager-0.5.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc15

Comment 11 Fedora Update System 2011-02-21 22:46:43 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 12 Fedora Update System 2011-02-21 22:47:12 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 13 Fedora Update System 2011-02-21 22:49:16 UTC
fedora-packager-0.5.5.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc13

Comment 14 Fedora Update System 2011-02-21 22:53:35 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 15 Fedora Update System 2011-02-21 23:01:34 UTC
fedora-packager-0.5.5.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el5

Comment 16 Fedora Update System 2011-02-22 18:49:41 UTC
fedora-packager-0.5.5.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-02-22 18:50:54 UTC
fedora-packager-0.5.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-02-23 21:51:55 UTC
fedora-packager-0.5.5.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-02-28 23:57:07 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-03-03 03:24:04 UTC
fedora-packager-0.5.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.